Skip to main content
GET
/
api
/
v2
/
stats
/
results
/
top
Results searches
curl --request GET \
  --url https://{search_zone}-api.doofinder.com/api/v2/stats/results/top \
  --header 'Authorization: <api-key>'
{
  "results": [
    {
      "brand": "Garnier",
      "categories": "Perfumes",
      "count": 200
    }
  ],
  "total": 1,
  "total_count": 200
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Query Parameters

from
string
required

Start date of the period in the format of UNIX timestamp or YYYYMMDD.

Pattern: ^20\d{2}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$|^\d{10}|^\d{13}$
to
string
required

End date of the period in the format of UNIX timestamp or YYYYMMDD.

Pattern: ^20\d{2}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$|^\d{10}$|^\d{13}
hashids
string[]

Unique id of the search engine. It accepts an array of values. If you want to work with all user search engines just don't send this parameter. Arrays parameters must be in the format param[]=value.

Pattern: ^[a-f0-9]{32}$
query
string

An string used to filter stats by input query.

dfid
string

Filter by a doofinder item id. You can get this value from the playground.

device
enum<string>

Filter by kind of device.

Available options:
desktop,
mobile
metric
enum<string>

Parameter to group and filter the data based on your choice, which can be either 'brand' or 'categories'.

Available options:
brand,
categories
limit
integer
default:100

Maximum number of items to return with a minimum of 1 item and a maximum of 1000.

Required range: 1 <= x <= 1000

Response

Stats retrieved.

Stats searches from results.

total
integer

Sum of all elements retrieved.

Example:

1

total_count
integer

Total sum of all elements count. If element does not have a "count", this has the same value as total.

Example:

12

results
object[]